Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.market_data.get_equity_details(symbols="AAPL,MSFT")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetEquityDetailsResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetEquityDetailsResponse res = sdk.marketData().getEquityDetails()
.symbols("AAPL,MSFT")
.call();
if (res.object().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/marketdata/equities/details \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/marketdata/equities/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"symbol": "AAPL",
"price": 175.43,
"lastPrice": 175.43,
"openPrice": 174.2,
"closePrice": 173.5,
"highPrice": 176,
"bidPrice": 175.42,
"bidSize": 100,
"bidExchange": "NASDAQ",
"askPrice": 175.44,
"askExchange": "NASDAQ",
"midPrice": 175.43,
"spread": 0.02,
"tick": 1,
"tradeTimestamp": "2025-11-24T15:30:00Z",
"quoteTimestamp": "2025-11-24T15:30:00Z",
"sicCode": "3571",
"low52WeekPrice": 124.17,
"low52WeekDate": "2024-04-19",
"high52WeekDate": "2025-11-15",
"pE": 28.5,
"sharesOutstanding": 15550061000,
"epsDiluted": 6.15,
"eps3YearGrowthRate": 0.15,
"eps5YearGrowthRate": 0.12,
"assets": 352755000000,
"liabilities": 290437000000,
"longTermDebt": 106000000000,
"assetType": "Common Stock",
"name": "Apple Inc",
"description": "Apple Inc. designs, manufactures, and markets smartphones...",
"sector": "Technology",
"industry": "Consumer Electronics",
"address": "One Apple Park Way, Cupertino, CA 95014",
"officialSite": "https://www.apple.com",
"fiscalYearEnd": "September",
"latestQuarter": "2025-09-30",
"marketCapitalization": 2730000000000,
"ebitda": 130541000000,
"bookValue": 4.01,
"pegRatio": 2.5,
"dividendPerShare": 0.96,
"dividendYield": 0.0055,
"eps": 6.15,
"revenuePerShareTTM": 24.54,
"profitMargin": 0.251,
"operatingMarginTTM": 0.305,
"returnOnAssetsTTM": 0.271,
"returnOnEquityTTM": 1.629,
"revenueTTM": 381623000000,
"grossProfitTTM": 170782000000,
"dilutedEPSTTM": 6.15,
"quarterlyEarningsGrowthYOY": 0.11,
"quarterlyRevenueGrowthYOY": 0.06,
"trailingPE": 28.5,
"forwardPE": 26.2,
"priceToSalesRatioTTM": 7.15,
"priceToBookRatio": 43.75,
"evToRevenue": 7.32,
"evToEBITDA": 21.5,
"beta": 1.24,
"movingAverage50Day": 170.25,
"movingAverage200Day": 165.5,
"alphaVantageUpdatedAt": "2025-11-24T10:00:00Z"
}
],
"errors": [
{
"symbol": "INVALID",
"error": "Symbol not found"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Market Data
Get equity details
Get comprehensive details for one or more equity symbols including price data, fundamentals, and company information
GET
/
v1
/
marketdata
/
equities
/
details
Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.market_data.get_equity_details(symbols="AAPL,MSFT")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetEquityDetailsResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetEquityDetailsResponse res = sdk.marketData().getEquityDetails()
.symbols("AAPL,MSFT")
.call();
if (res.object().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of equity symbols (e.g., AAPL,MSFT,GOOGL)
Example:
"AAPL,MSFT"
Was this page helpful?
⌘I